Subject: Re: [PATCH] rebase: make warning less passive aggressive

From: Jean-Noël AVILA <[email-masked]>
Date: Thu, 22 Feb 2024 11:01:59 +0100

On Wednesday, 21 February 2024 23:46:10 CET Junio C Hamano wrote:
> Jean-Noël AVILA <[email-masked]> writes:
> 
> > As a translator, I'm less bothered by editing a sentence to remove a 
question 
> > mark (maybe enforcing a language style and reformulating the sentence by 
the 
> > way), than by translating again and again similar sentences.
> 
> Sure, but if the original in C locale used to be "FOO BAR?" and you
> translated it to "foo bar?" in your language, and then a patch
> updates the string in the source to "FOO BAR", doesn't msgmerge
> notice that the original as a "fuzzy" matching and offer you
> something like
> 
>     # fuzzy
>     msgid "FOO BAR"
>     msgstr "foo bar?"
> 

> so that all you have to do is to remove '?' anyway?

Yes, it works as expected.

> So I do not
> think you'd need to translate the "FOO BAR" part again and again.

Sorry for not being clear: I don't consider changing a question to an 
assertion is translating "again and again". This change is completely entitled 
to end up on translators desk, because it involves possibly changing the whole 
structure of the sentence.

About "again and again", I was more refering to strings such as "could not 
stat '%s'" and then "could not stat file '%s'".

> 
> But the above assumes that for your language, the ONLY thing to turn
> such a rhetorical "passive aggressive" question into grammatically
> correct statement of a fact is to remove the question mark.  It may
> not be universally true for all languages, and for some language,
> even after msgmerge did its job correctly, you may need to do more
> than just removing the question mark to adjust the remaining "foo
> bar" part.
> 

I perfectly agree with you.

Thanks